> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ChangeLogs API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

Retrieves the list of changes made to the bot definition for a given date range.

| **Method** | GET |
| - | - |
| **Endpoint** | `https://{{host}}/api/public/bot/{{BotID}}/changelogs` |
| **Content Type** | `application/json` |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token.](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token) |
| **API Scope** | App Builder: Logs History; Admin Console: Logs > Bot Audit Logs |

## Path Parameters

| Parameter | Required/Optional | Description |
| - | - | - |
| `host` | Required | Environment URL, for example, `https://platform.kore.ai` |
| `BotID` | Required | Bot ID or Stream ID. Accessible from the General Settings page of the bot. |

## Sample Request

```json theme={null}
curl -X GET \
  https://{{host}}/api/public/bot/{{bot_id}}/changelogs \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -H 'content-type: application/json'
```

## Query Parameters

| Parameter | Required/Optional | Description |
| - | - | - |
| `offset` | Optional | Page number to start fetching from. Defaults to `0` (first page). |
| `limit` | Optional | Number of records to fetch. Maximum is `50`. |
| `startDate` | Optional | Start date for the change log. Defaults to the bot creation date if unspecified. Use ISO date format (for example, `1998-03-30`). |
| `endDate` | Optional | End date for the change log. Use ISO date format (for example, `1998-03-30`). |

## Sample Response

```json expandable=true theme={null}
[
    {
        "_id": "btl-039ca909-5dd2-59ce-a5b7-30c61a3xxxxx",
        "userId": {
            "id": "u-5dad2ccd-b271-5c00-a338-2e6e25exxxxx",
            "firstName": "demo",
            "lastName": "bots",
            "emailId": "john.doe@example.com",
            "activationStatus": "active",
            "profColour": "#ff4500",
            "profImage": "no-avatar",
            "_id": "u-5dad2ccd-b271-5c00-a338-2e6e25exxxxx",
            "orgId": "o-daf5c054-e63b-561e-9a31-e53478axxxxx"
        },
        "streamId": "st-6ecb5ba2-5e31-5a40-b918-8cbee40xxxxx",
        "resourceId": "st-6ecb5ba2-5e31-5a40-b918-8cbee40xxxxx",
        "resourceType": "stream",
        "message": "Bot updated",
        "createdOn": "2019-06-27T05:25:37.148Z",
        "__v": 0
    },
    {
        "_id": "btl-0ff1cc72-c2c5-508d-b58c-a58257cxxxxx",
        "userId": {
            "id": "u-5dad2ccd-b271-5c00-a338-2e6e25exxxxx",
            "firstName": "demo",
            "lastName": "bots",
            "emailId": "john.doe@example.com",
            "activationStatus": "active",
            "profColour": "#ff4500",
            "profImage": "no-avatar",
            "_id": "u-5dad2ccd-b271-5c00-a338-2e6e25exxxxx",
            "orgId": "o-daf5c054-e63b-561e-9a31-e53478xxxxx"
        },
        "streamId": "st-6ecb5ba2-5e31-5a40-b918-8cbee40xxxxx",
        "resourceId": "dg-14fd680d-3c42-5594-9d1b-c1b5504xxxxx",
        "resourceType": "dialog",
        "message": "Published task Book a ticket",
        "createdOn": "2019-06-27T05:29:17.748Z",
        "__v": 0
    }
]
```

### Related Link

* [Change Log](/ai-for-service/app-settings/change-logs)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.